﻿using ASPNETCORE1.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace ASPNETCORE1.Services
{
    public interface IRestauranData
    {
        IEnumerable<Restaurant> GetAll();
        Restaurant Get(int id);
        void Add(Restaurant newRestaurant);
    }
    public class InMemoryRestaurantData : IRestauranData
    {

        public void Add(Restaurant newRestaurant)
        {
            newRestaurant.id = _restaurant.Max(r => r.id) + 1;
            _restaurant.Add(newRestaurant);
        }

        static InMemoryRestaurantData()
        {
            _restaurant = new List<Restaurant>
            {
                new Restaurant { id=1,Name="ilia" },
                new Restaurant { id=2,Name="IranPizza" },
                 new Restaurant{ id=3,Name="GrandFather" }
            };
        }

        public Restaurant Get(int id)
        {
           return _restaurant.FirstOrDefault(r => r.id == id);
        }
        public IEnumerable<Restaurant> GetAll()
        {
            return _restaurant;
        }
         static List<Restaurant> _restaurant;
    }
}
